<div class="collector-details-data-groups">
    <div class="collector-details-data-groups-header">
        <h2>Data Groups</h2>
        <button class="button-3">
            <a href="{{url_for('collectors.add_datagroup', collector_name=collector_name)}}">Add Data Group</a>
        </button>
    </div>
    <table class="bordered-table">
        <tr>
            {% for data_group_key, data_group_data
            in collector_config.config.settings.data_groups.items()
            if data_group_key != "data_points"
            %}
            <th>{{ data_group_data.label }}</th>
            {% endfor %}
        </tr>
        {% for data_group in collector.data_groups %}
            <tr>
                {% for key, val in data_group.items() %}
                    {% if key=="group_label" %}
                        <td>
                            <a href="{{url_for('collectors.details_datagroup', collector_name=collector_name, group_label=val)}}">
                                {{val}}
                            </a>
                        </td>
                    {% elif key != "data_points" %}
                        <td>{{val}}</td>
                    {% endif %}
                {% endfor %}
            </tr>
        {% endfor %}
    </table>
</div>
